Bug 1248735 - Missing plotting dependencies
Missing plotting dependencies
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: binwalk (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Scott Talbert
Fedora Extras Quality Assurance
:
Depends On: 1249368
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 13:53 EDT by Jonathan Underwood
Modified: 2015-09-18 16:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.0.0-6.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 15:01:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2015-07-30 13:53:42 EDT
Description of problem:
$ binwalk -3 somefile

Plotter Exception: No module named pyqtgraph.opengl
----------------------------------------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/binwalk/core/module.py", line 481, in main
    self.init()
  File "/usr/lib64/python2.7/site-packages/binwalk/modules/binvis.py", line 51, in init
    import pyqtgraph.opengl as gl
ImportError: No module named pyqtgraph.opengl
----------------------------------------------------------------------------------------------------



Version-Release number of selected component (if applicable):
binwalk-2.0.0-2.fc22.x86_64

How reproducible:
everytime
Comment 1 Scott Talbert 2015-07-30 19:44:42 EDT
Looks like pyqtgraph will need to be packaged.
Comment 2 Scott Talbert 2015-07-30 23:26:56 EDT
I'll take a stab at packaging it.
Comment 3 Jonathan Underwood 2015-07-31 05:12:37 EDT
Great. If you cc me on the review request bug I'll review it for you.
Comment 4 Scott Talbert 2015-08-08 10:13:34 EDT
OK, now that pyqtgraph is mostly done, the question becomes - what to do with this?

Given that binwalk functions without pyqtgraph, and I can see uses for it, say on a server without any GUI, I am hesitant to add a Requires or Recommends on pyqtgraph which would force pulling in a bunch of UI packages.  I am leaning towards the following: add a Suggests on pyqtgraph and perhaps patch binwalk to catch the ImportError and add a message informing the user about the pyqtgraph package.

Thoughts?
Comment 5 Jonathan Underwood 2015-08-08 11:00:52 EDT
I think your Suggests solution is good - that's exactly the route I'd follow (and is similar to what we recently did with inkscape and the latex plugin)
Comment 6 Fedora Update System 2015-08-24 21:23:27 EDT
binwalk-2.0.0-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14173
Comment 7 Fedora Update System 2015-08-24 21:23:40 EDT
binwalk-2.0.0-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14174
Comment 8 Fedora Update System 2015-08-26 00:26:04 EDT
binwalk-2.0.0-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update binwalk'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14174
Comment 9 Fedora Update System 2015-08-26 13:27:50 EDT
binwalk-2.0.0-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update binwalk'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14173
Comment 10 Fedora Update System 2015-09-18 15:01:39 EDT
binwalk-2.0.0-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-09-18 16:51:54 EDT
binwalk-2.0.0-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.